admin_site/urls.py
from django.conf.urls import url, include
from django.views.generic.base import TemplateView

from admin_site.dashboard import *
from admin_site.repairshop import *
from admin_site.service import *
from admin_site.users import *

urlpatterns = [
    url(r'^$', view=dashboard, name="dashboard"),

    # Service Order Admin Panel
    url(r'profile/$', view=profile, name="profile"),
    url(r'user_list/$', view=users_list, name="users_list"),
    url(r'user_list/create/$', view=user_create, name="user_create"),
    url(r'user_list/edit/(?P<id>[0-9]+)/$', view=user_edit, name="user_edit"),
    url(r'user_list/delete/(?P<id>[0-9]+)/$', view=user_delete, name="user_delete"),

    # Service Type Admin Panel
    url(r'service-type/$', view=service_type_list, name="service_type_list"),
    url(r'service-type/create/$', view=service_type_create, name="service_type_create"),
    url(r'service-type-edit/(?P<id>[0-9]+)/$', view=service_type_edit, name="service_type_edit"),
    url(r'service-type-delete/(?P<id>[0-9]+)/$', view=service_type_delete, name="service_type_delete"),

    # Service Order Admin Panel
    url(r'service-order/$', view=service_order_list, name="service_order_list"),
    url(r'service-order/create/$', view=service_order_create, name="service_order_create"),
    url(r'service-order-edit/(?P<id>[0-9]+)/$', view=service_order_edit, name="service_order_edit"),
    url(r'service-order-delete/(?P<id>[0-9]+)/$', view=service_order_delete, name="service_order_delete"),

    # Repair Shop Admin Panel
    url(r'repair-shop-update/$', view=repair_shop_update, name="repair_shop_update"),


    url(r'repair-shop-days/$', view=repair_shop_days, name="repair_shop_days"),
    url(r'timing_create/$', view=timing_create, name="timing_create"),
    url(r'timing_update/(?P<id>[0-9]+)/$', view=timing_update, name="timing_update"),
    url(r'timing_delete/(?P<id>[0-9]+)/$', view=timing_delete, name="timing_delete"),

    #
    # #SEO Optimization
    # url(r'optimizations/',name="optimizations_list"),
    # url(r'optimizations/create/',name="optimizations_create"),
    # url(r'optimizations/edit/(?P<id>[0-9]+)/',name="optimizations_edit"),
    # url(r'optimizations/delete/(?P<id>[0-9]+)/',name="optimizations_delete"),

    #
]

webteaker/urls.py
from __future__ import absolute_import, print_function, unicode_literals

from allauth.socialaccount.providers import paypal
from django.conf import settings
from django.conf.urls import include, url
from django.conf.urls.i18n import i18n_patterns
from django.contrib import admin
from django.contrib.sitemaps.views import sitemap
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.static import serve
from django.conf.urls import url, include
from django.contrib import admin
from src.service import *
from src.views import *

admin.autodiscover()


urlpatterns = [
    url(r'^admin/', include('admin_site.urls',namespace="admin_site")),
    url(r'^account/', include('allauth.urls')),
    url(r'^admin-bk/', admin.site.urls),
    url(r'^$',view=home,name="home"),



    url(r'^services/$',view=services,name="services"),

    url(r'appointment/create/$',view=appointment_create,name="appointment_create"),

    url(r'^about-us/$', view=about_us, name="about_us"),
    url(r'^gallery/$', view=gallery, name="gallery"),
    url(r'^contact-us/$', view=contact_us, name="contact_us"),
    url(r'^payments/$', view=payments, name="payments"),
]

handler404=error_404

admin_site/models.py
from django.contrib.auth.models import User
from django.contrib.sites.models import Site as DjangoSite
from django.db import models

# Create your models here.
from django.db.models import DateField
from django.views.generic.dates import DayMixin

from admin_site.choices import *


class RepairShop(models.Model):
    name=models.CharField(max_length=60,default="")
    facebook=models.URLField(blank=True)
    instagram=models.URLField(blank=True)
    twitter=models.URLField(blank=True)
    google=models.URLField(blank=True)
    email=models.EmailField(blank=False,null=False)
    phone=models.CharField(max_length=15,blank=False,null=False)
    address=models.CharField(max_length=200)


class OpenClose(models.Model):
    day = models.CharField(max_length=20, blank=False, null=False, unique=True)
    from_time = models.TimeField(auto_created=True, blank=True, null=True)
    to_time = models.TimeField(auto_created=True, blank=True, null=True)
    closed=models.BooleanField(default=False)

    def __str__(self):
        return self.day
    # shop=models.ForeignKey(RepairShop)

class Review(models.Model):
    name=models.CharField(max_length=60)
    address=models.CharField(max_length=200)
    day=models.DateField(auto_now_add=True)
    message=models.TextField(max_length=2000)

#
class WebtweakerSites(DjangoSite):
    users=models.ManyToManyField(User)

admin_site/forms.py
from django import forms
from django.contrib.auth.models import User
from django.forms import ModelForm, Select

from admin_site.choices import days
from admin_site.models import RepairShop, OpenClose
from src.models import ServiceType

class ServiceTypeForm(forms.ModelForm):

    class Meta:
        model=ServiceType
        fields=['name','description']

class UsersForm(forms.ModelForm):
    password=forms.CharField(widget=forms.PasswordInput())
    confirm_password=forms.CharField(widget=forms.PasswordInput())

    class Meta:
        model=User
        fields=['username','email','password','confirm_password','first_name','last_name','is_active','is_superuser']
        labels={
            'is_active':'Admin',
            'is_superuser':'Super Admin'
        }

    def __init__(self,*args,**kwargs):
        super(UsersForm,self).__init__(*args,**kwargs)
        self.fields['email'].required = True

    def clean(self):
        cleaned_data=super(UsersForm,self).clean()
        password=cleaned_data.get("password")
        confirm_password=cleaned_data.get("confirm_password")

        if password!=confirm_password:
            raise forms.ValidationError(
                "Password and confirm password does not match"
            )

class ProfileForm(forms.ModelForm):

    class Meta:
        model=User
        fields=['username','first_name','last_name']

class ShopOpenCloseForm(forms.ModelForm):
    day=forms.ChoiceField(choices=days,widget=forms.Select(attrs={'class':'mdb-select'}))

    class Meta:
        model=OpenClose
        fields=['day','from_time','to_time','closed']
        widgets={
            'from_time':forms.TimeInput(attrs={'class':'timepicker form-control'}),
            'to_time':forms.TimeInput(attrs={'class':'timepicker form-control'}),
        }
        labels={
            'from_time':'From',
            'to_time':'To'
        }

class RepairShopUpdateForm(forms.ModelForm):
    class Meta:
        model=RepairShop
        fields=['name','email','address','phone','facebook','instagram','twitter','google']

admin_site/views.py
from django.shortcuts import render

# Create your views here.

webteaker/templates/admin_site/user_management/confirm_delete.html
{% load static staticfiles %}

<div class="modal fade show" id="modalConfirmDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog modal-sm modal-notify modal-danger" role="document">
        <!--Content-->
        <div class="modal-content text-center">
            <!--Header-->
            <div class="modal-header d-flex justify-content-center">
                <p class="heading">Are you sure?</p>
            </div>
            <!--Body-->
            <div class="modal-body">
                Delete {{ object.name }}
            </div>
            <!--Footer-->
            <div class="modal-footer flex-center">
                <a href="{% url 'admin_site:user_delete' object.id %}" class="btn btn-outline-danger waves-effect waves-light">Yes</a>
                <a type="button" class="btn btn-danger waves-effect" data-dismiss="modal">No</a>
            </div>
        </div>
        <!--/.Content-->
    </div>
</div>

webteaker/templates/admin_site/user_management/users_create.html
{% extends "admin_site/base.html" %}
{% load static staticfiles widget_tweaks %}
{% block title %}User Create{% endblock %}
{% block container %}
    <div class="row align-items-center justify-content-center">
        <div class="col-lg-6 col-md-6 mb-4">
            <!--Card-->
            <div class="card">
                <!--Card content-->
                <div class="card-body">
                    <!-- Register form -->
                    <form method="post" novalidate>
                        <p class="h5 text-center mb-4">User Create</p>
                        {% csrf_token %}
                        {% for hidden_field in form.hidden_fields %}
                            {{ hidden_field }}
                        {% endfor %}
                        {% if form.non_field_errors %}
                            <div class="alert alert-danger" role="alert">
                                {% for error in form.non_field_errors %}
                                    {{ error }}
                                {% endfor %}
                            </div>
                            <div class="mt-5"></div>
                        {% endif %}
                        {% for field in form.visible_fields %}
                            {% if form.is_bound %}
                                {% if field.errors %}
                                    <div class="md-form has-error">
                                        {% render_field field class="form-control" %}
                                        {{ field.label_tag }}
                                        {% for error in field.errors %}
                                            <span class="text-danger help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                {% else %}
                                    <div class="md-form">
                                        {% render_field field class="form-control" %}
                                        {{ field.label_tag }}
                                    </div>
                                {% endif %}
                            {% else %}
                                <div class="md-form">
                                    {% render_field field class="form-control" %}
                                    {{ field.label_tag }}
                                </div>
                            {% endif %}
                            {% if field.help_text %}
                                <small class="form-text text-muted">{{ field.help_text }}</small>
                            {% endif %}
                        {% endfor %}

                        {% if redirect_field_value %}
                            <div class="row">
                                <input type="hidden" name="{{ redirect_field_name }}"
                                       value="{{ redirect_field_value }}"/>
                            </div><!--end .row -->
                        {% endif %}
                        <div class="text-center mt-4">
                            <input type="submit" class="btn btn-primary waves-effect waves-light" value="Submit">
                        </div><!--end .col -->
                    </form>
                    <!-- Register form -->
                </div>
            </div>
            <!--/.Card-->
        </div>
    </div>
{% endblock %}

webteaker/templates/admin_site/user_management/users_list.html
{% extends "admin_site/base.html" %}
{% load static staticfiles %}
{% block title %}Users List{% endblock %}
{% block container %}
    <section>

        <h2 class="font-weight-bold mt-lg-5 mb-5 pb-4"><strong>Users List</strong></h2>

        <div class="card card-cascade narrower z-depth-1">

            <!--Card image-->
            <div class="view gradient-card-header blue-gradient narrower py-2 mx-4 mb-3 d-flex justify-content-between align-items-center">
                <a href="" class="white-text mx-3">Users List</a>

                <div>
                    <a type="button" class="btn btn-outline-white"
                       href="{% url 'admin_site:user_create' %}"><i class="fa fa-plus mt-0 mr-2"></i>Create</a>
                </div>

            </div>
            <!--/Card image-->

            <div class="px-4">
                <div class="table-responsive">
                    <!--Table-->
                    <table class="table table-hover mb-0">

                        <!--Table head-->
                        <thead>
                        <tr>
                            <th class="th-lg"><a>Username</a></th>
                            <th class="th-lg"><a>E-Mail</a></th>
                            <th class="th-lg"><a>First Name</a></th>
                            <th class="th-lg"><a>Last Name</a></th>
                            <th class="th-lg"><a>Is Active</a></th>
                            <th class="th-lg"><a>Actions</a></th>
                        </tr>
                        </thead>
                        <!--Table head-->

                        <!--Table body-->
                        <tbody>

                        {% for object in objects %}
                            <tr>
                                <td>{{ object.username }}</td>
                                <td>{{ object.email }}</td>
                                <td>{{ object.first_name }}</td>
                                <td>{{ object.last_name }}</td>
                                <td><button class="btn btn-sm btn-primary">{{ object.is_active }}</button></td>
                                <td>
                                <a href="{% url 'admin_site:user_edit' object.id %}" type="button"><i class="fa fa-edit" aria-hidden="true"></i></a>
                                <a type="button" class="ml-3" data-toggle="modal" data-target="#modalConfirmDelete"><i class="fa fa-trash" aria-hidden="true"></i></a>
                            </td>
                            {% include 'admin_site/user_management/confirm_delete.html' %}
                            </tr>
                        {% endfor %}

                        </tbody>
                        <!--Table body-->
                    </table>
                    <!--Table-->
                </div>


                <hr class="my-0">

                <!--Bottom Table UI-->
                <div class="d-flex justify-content-between mt-3 mb-3 float-right">

                    <!--Name-->
                    {% include 'generics/pagination.html' %}

                </div>
                <!--Bottom Table UI-->

            </div>
        </div>

    </section>

{% endblock %}